const AWS = require('aws-sdk');
AWS.config.update({ region: 'us-east-1' });  
const dynamoDB = new AWS.DynamoDB.DocumentClient();
exports.handler = async (event) => {
  try {
    const bucket = event.Records[0].s3.bucket.name;
    const key = event.Records[0].s3.object.key;
    const s3 = new AWS.S3();
    const s3Object = await s3.getObject({ Bucket: bucket, Key: key }).promise();
    const contents = s3Object.Body.toString();
    const data = JSON.parse(contents);

    
    await dynamoDB.put({
      TableName: 'example_dynamo_table',
      Item: data,
    }).promise();

    console.log('Parsed data:', data);

    return {
      statusCode: 200,
      body: 'Successfully processed the S3 object.',
    };
  } catch (error) {
    console.error('Error:', error);
    throw error;
  }
};