provider "aws" {
  region = var.regoin
}

module "role" {
  source              = "./modules/iam/role"
  account_id          = local.account_id
  s3_bucket           = var.s3_bucket
  dynamodb_table_name = var.dynamodb_table_name
}

module "dynamodb" {
  source     = "./modules/dynamodb"
  table_name = var.dynamodb_table_name
}

module "s3" {
  source    = "./modules/s3"
  s3_bucket = var.s3_bucket
}

module "lambda_function" {
  source = "./modules/lambda"

  lambda_function_role = module.role.arn
  s3_bucket            = var.s3_bucket
  project              = var.project
  s3_arn               = module.s3.s3_bucket_arn
}
