variable "table_name" {
  description = "The name of the table"
  type        = string
  default     = "example"
}

variable "billing_mode" {
  description = "The billing mode of the table"
  type        = string
  default     = "PAY_PER_REQUEST"
}

variable "range_key" {
  description = "The name of the range key in the table"
  type        = string
  default     = "timestamp"
}

variable "hash_key" {
  description = "The name of the hash key in the table"
  type        = string
  default     = "id"
}

variable "hash_key_type" {
  description = "The type of the hash key in the table"
  type        = string
  default     = "S"
}

variable "sort_key" {
  description = "The name of the sort key in the table"
  type        = string
  default     = "timestamp"
}

variable "sort_key_type" {
  description = "The type of the sort key in the table"
  type        = string
  default     = "N"
}

variable "read_capacity_units" {
  description = "The number of read capacity units for the DynamoDB table"
  type        = number
  default     = 5
}

variable "write_capacity_units" {
  description = "The number of write capacity units for the DynamoDB table"
  type        = number
  default     = 5
}