resource "aws_s3_bucket" "bucket" {
  bucket = var.s3_bucket
  
  tags = merge(local.default_tags, var.tags, { "Project" = var.project }, { "Environment" = var.environment })
}


resource "aws_s3_object" "files_folder" {
  bucket = aws_s3_bucket.bucket.id
  key    = "files/"
}

output "s3_bucket_name" {
  value = aws_s3_bucket.bucket.id
}

output "s3_bucket_arn" {
  value = aws_s3_bucket.bucket.arn
}